
Name:    marble 
Summary: Virtual globe and world atlas 
Epoch:   1
Version: 4.7.2
Release: 1%{?dist}

License: LGPLv2+
#URL:     https://projects.kde.org/projects/kde/kdeedu/marble
URL:     http://edu.kde.org/marble/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

## upstream patches

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: gpsd-devel
BuildRequires: qt-mobility-devel

Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

# when split occurred
Obsoletes: kdeedu-marble < 4.7.0-10
Provides:  kdeedu-marble = %{version}-%{release}
Provides:  kdeedu-marble%{?_isa} = %{version}-%{release}

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective Wikipedia
article.

Of course it's also possible to measure distances between locations or watch
the current cloud cover. Marble offers different thematic maps: A classroom-
style topographic map, a satellite view, street map, earth at night and
temperature and precipitation maps. All maps include a custom map key, so it
can also be used as an educational tool for use in class-rooms. For
educational purposes you can also change date and time and watch how the
starry sky and the twilight zone on the map change.

In opposite to other virtual globes Marble also features multiple
projections: Choose between a Flat Map ("Plate carré"), Mercator or the Globe.

%package  libs
Summary:  Runtime files for %{name}
Requires: %{name} = %{epoch}:%{version}-%{release}
Obsoletes: kdeedu-marble-libs < 4.7.0-10
Provides:  kdeedu-marble-libs = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary:  Development files for %{name} 
# when split occurred
Conflicts: kdeedu-devel < 4.7.0-10
Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel 
%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/marble.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc LICENSE.txt
%doc CREDITS MANIFESTO.txt TODO USECASES
%{_kde4_appsdir}/marble/
%{_kde4_bindir}/marble
%{_kde4_bindir}/geodatatest
%{_kde4_bindir}/routing-instructions
%{_kde4_bindir}/tilecreator
%{_kde4_datadir}/applications/kde4/marble.desktop
%{_kde4_datadir}/config.kcfg/marble.kcfg
%{_kde4_datadir}/kde4/services/marble_part.desktop
%{_kde4_iconsdir}/hicolor/*/*/marble.*
# worldclock links against libmarblewidget, include here
%{_kde4_libdir}/kde4/plasma_applet_worldclock.so
%{_kde4_datadir}/kde4/services/plasma-applet-kworldclock.desktop

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libmarblewidget.so.*
%{_kde4_libdir}/kde4/libmarble_part.so
%{_kde4_libdir}/kde4/plugins/marble/

%files devel
%doc docs/*
%{_kde4_appsdir}/cmake/modules/FindMarble.cmake
%{_includedir}/marble/
%{_kde4_libdir}/libmarblewidget.so


%changelog
* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.2-1
- 4.7.2

* Sat Sep 17 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.1-2
- Provides: kdeedu-marble%%{?_isa}

* Fri Sep 16 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.1-1
- 4.7.1

* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.0-11
- update URL

* Tue Aug 30 2011 Rex Dieter <rdieter@fedoraproject.org> 1:4.7.0-10
- first try

